<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('_route_paths', function (Blueprint $table) {
            $table->id();
            $table->decimal('lat1', 12, 10)->index('lat1');
            $table->decimal('lng1', 12, 10)->index('lng1');
            $table->string('identifier');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('_route_paths');
    }
};
